Métodos de seleção

From FreeCAD Documentation
Revision as of 15:23, 22 July 2021 by Dikluwe (talk | contribs) (Created page with "Após pressionar {{Button|OK}}, os objetos selecionados são copiados para a memória, e depois podem ser colados no documento para duplicar apenas esses objetos.")

Visão geral

Selection methods in FreeCAD allow picking objects in the FreeCAD Interface: such as 3D view, tree view, selection view, and other dialogs. Some selection methods are workbench specific and are documented in the particular workbench documentation.

Vista 3D

Na vista 3D há várias maneiras de selecionar objetos.

Seleção simples

A seleção simples com o mouse (por padrão, clique com o botão esquerdo do mouse) e a pré-seleção são descritas na página Estilos de Navegação.

Cliques repetidos

O primeiro clique seleciona um sub-elemento (vértice, borda ou face) do objeto sob o mouse. Um segundo clique seleciona o objeto inteiro. Template:Versão

O terceiro clique estende a seleção a seu objeto 'container' (PartDesign Body, Std Part, e outros). Outros cliques expandem a seleção até a cadeia de 'contêineres'. Template:Versão

Comandos de seleção

Vista de seleção

The selection view shows the names of the objects being selected, including their full name within an object, for example, Unnamed#Body.Box001.Face17.

It also allows to perform some actions like Std ViewFitSelection, and sending the object to the Python console.

Exportação de objeto

"Isto deve estar na página Vista de seleção".

Select any complex object, for example, a PartDesign Body or Std Part, then in the selection view select again the object, and then press Ctrl + C in the keyboard to open the Object selection dialog. This allows copying the selected object together with all or only some of that object's dependency objects. For example, for a Std Part the possible objects to select include the Std Part itself, but also its Origin, its three base axes (XYZ), and its three base planes (XY, YZ, XZ).

Após pressionar OK, os objetos selecionados são copiados para a memória, e depois podem ser colados no documento para duplicar apenas esses objetos.

Object selection dialog that is launched from the selection view.

Vista em árvore

In the tree view items can be selected, or deselected, one at a time, by holding the Ctrl key and clicking with the mouse.

A range of items can be selected by clicking on the first item, holding Shift, and clicking on the last item.

Selecting a single item will also show its properties in the property editor.

Double clicking will open any associated task panel containing actions. Make sure to close this task panel before executing another command or switching to any other workbench.

More methods are available by opening the context menu (right-click), depending on the object selected or the active workbench; see the information in tree view.

Scripting

Selecting objects is inherently a graphical task and therefore it is only available when the graphical user interface is loaded.

These commands can be used in macros or from the Python console.

import FreeCADGui as Gui

Gui.Selection.addSelection
Gui.Selection.addSelectionGate
Gui.Selection.Filter

The command addSelectionGate restricts the user from selecting objects not specified in the selection string. A symbol appears when the pointer is over an item not in the specified group.

Gui.Selection.addSelectionGate("SELECT Part::Feature SUBELEMENT Edge")

See the Source documentation and Std PythonHelp for more help on using these tools.